/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package cz.vutbr.feec.utko.fojtoval.krypto.windows.data;

import cz.vutbr.feec.utko.fojtoval.krypto.windows.NavrhViewEvents;

/**
 *
 * @author fojtoval
 */
public class SubstituceZadaniAbecedyEvents extends SubstituceZadaniAbecedy{



    /**
     * Obsahuje obsluhu udalosti k SubstituceZadaniAbecedy.
     * @param navrhh
     * @param pPFina
     * @param Bbdofive
     */
    public SubstituceZadaniAbecedyEvents(NavrhViewEvents navrhh, String pPFina, Boolean Bbdofive) {

        super(navrhh, pPFina, Bbdofive);
        this.navrhV = navrhh;
        this.pFina = pPFina;
        this.bdofive = Bbdofive;

        this.initEvents();

    }

    /**
     * Obsluha udalosti jednotlivych tlacitek.
     */
    public void initEvents(){

        this.getPismenoA().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuA(evt);
            }
        });

        this.getPismenoB().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuB(evt);
            }
        });

        this.getPismenoC().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuC(evt);
            }
        });

        this.getPismenoD().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuD(evt);
            }
        });

        this.getPismenoE().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuE(evt);
            }
        });

        this.getPismenoF().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuF(evt);
            }
        });

        this.getPismenoG().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuG(evt);
            }
        });

        this.getPismenoH().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuH(evt);
            }
        });

        this.getPismenoI().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuI(evt);
            }
        });

        this.getPismenoJ().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuJ(evt);
            }
        });

        this.getPismenoK().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuK(evt);
            }
        });

        this.getPismenoL().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuL(evt);
            }
        });

        this.getPismenoM().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuM(evt);
            }
        });

        this.getPismenoN().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuN(evt);
            }
        });

        this.getPismenoO().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuO(evt);
            }
        });

        this.getPismenoP().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuP(evt);
            }
        });

        this.getPismenoQ().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuQ(evt);
            }
        });

        this.getPismenoR().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuR(evt);
            }
        });

        this.getPismenoS().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuS(evt);
            }
        });

        this.getPismenoT().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuT(evt);
            }
        });

        this.getPismenoU().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuU(evt);
            }
        });

        this.getPismenoV().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuV(evt);
            }
        });

        this.getPismenoW().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuW(evt);
            }
        });

        this.getPismenoX().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuX(evt);
            }
        });

        this.getPismenoY().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuY(evt);
            }
        });

        this.getPismenoZ().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuZ(evt);
            }
        });

        this.getVymazat().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuVymazat(evt);
            }
        });

        this.getTlacitkoOK().addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                menuTlacitkoOK(evt);
            }
        });

    }

    
    private void vkladej(javax.swing.JButton button){

      button.setEnabled(false);
      nAbcd += button.getText();
      this.getjLabel1().setText(nAbcd);

      if (nAbcd.length() == 26) {
          this.getTlacitkoOK().setEnabled(true);
      }

    }

    private void menuA (java.awt.event.ActionEvent evt) {
        vkladej(this.getPismenoA());
    }

    private void menuB (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoB());
    }

    private void menuC (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoC());
    }

    private void menuD (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoD());
    }

    private void menuE (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoE());
    }

    private void menuF (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoF());
    }

    private void menuG (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoG());
    }

    private void menuH (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoH());
    }

    private void menuI (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoI());
    }

    private void menuJ (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoJ());
    }

    private void menuK (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoK());
    }

    private void menuL (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoL());
    }

    private void menuM (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoM());
    }

    private void menuN (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoN());
    }

    private void menuO (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoO());
    }

    private void menuP (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoP());
    }

    private void menuQ (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoQ());
    }

    private void menuR (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoR());
    }

    private void menuS (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoS());
    }

    private void menuT (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoT());
    }

    private void menuU (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoU());
    }

    private void menuV (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoV());
    }

    private void menuW (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoW());
    }

    private void menuX (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoX());
    }

    private void menuY (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoY());
    }

    private void menuZ (java.awt.event.ActionEvent evt) {
        vkladej(getPismenoZ());
    }

    private void menuTlacitkoOK (java.awt.event.ActionEvent evt) {
        String cFina = "";
        String cAbcd = "";

        for (int i = 0; i < pFina.length(); i++) {
            if ((bdofive) && ((i%5) == 0) && (i!=0)){
                cFina += " ";
            }
            cFina += nAbcd.charAt((int)(pFina.charAt(i)-97));
        }

      for (int i=0;i<26;i++) {
          cAbcd += nAbcd.charAt(i) + " ";
      }

      navrhV.getjTextPane2().setText(cFina);
      navrhV.getjLabel4().setText(" " + cAbcd);
      dispose();
    }


    private void menuVymazat (java.awt.event.ActionEvent evt) {
        nAbcd = "";

      this.getjLabel1().setText(nAbcd);
      this.getPismenoA().setEnabled(true);
      this.getPismenoB().setEnabled(true);
      this.getPismenoC().setEnabled(true);
      this.getPismenoD().setEnabled(true);
      this.getPismenoE().setEnabled(true);
      this.getPismenoF().setEnabled(true);
      this.getPismenoG().setEnabled(true);
      this.getPismenoH().setEnabled(true);
      this.getPismenoI().setEnabled(true);
      this.getPismenoJ().setEnabled(true);
      this.getPismenoK().setEnabled(true);
      this.getPismenoL().setEnabled(true);
      this.getPismenoM().setEnabled(true);
      this.getPismenoN().setEnabled(true);
      this.getPismenoO().setEnabled(true);
      this.getPismenoP().setEnabled(true);
      this.getPismenoQ().setEnabled(true);
      this.getPismenoR().setEnabled(true);
      this.getPismenoS().setEnabled(true);
      this.getPismenoT().setEnabled(true);
      this.getPismenoU().setEnabled(true);
      this.getPismenoV().setEnabled(true);
      this.getPismenoW().setEnabled(true);
      this.getPismenoZ().setEnabled(true);
      this.getPismenoY().setEnabled(true);
      this.getPismenoX().setEnabled(true);
      this.getTlacitkoOK().setEnabled(false);
    }

}
